🚀 Visual Navigation for Link Fields! See our changelog for details.
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/table/ \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","dbTableName":"string","description":"string","icon":"string","fields":[{"type":"singleSelect","name":"string","unique":true,"notNull":true,"dbFieldName":"string","isLookup":true,"isConditionalLookup":true,"description":"this is a summary","lookupOptions":{"foreignTableId":"string","lookupFieldId":"string","linkFieldId":"string","filter":{}},"options":{"expression":"countall({values})","timeZone":"string","formatting":null,"showAs":{"type":"url"}},"aiConfig":{"modelKey":"string","isAutoFill":true,"attachPrompt":"string","type":"extraction","sourceFieldId":"string"},"id":"fldxxxxxxxxxxxxxxxx","order":{"viewId":"string","orderIndex":0}}],"views":[{"name":"string","type":"grid","description":"string","order":0,"options":{"rowHeight":"short","fieldNameDisplayLines":1,"frozenColumnCount":0,"frozenFieldId":"string"},"sort":{"sortObjs":[{"fieldId":"string","order":"asc"}],"manualSort":true},"filter":{},"group":[{"fieldId":"string","order":"asc"}],"isLocked":true,"shareId":"string","enableShare":true,"shareMeta":{"allowCopy":true,"includeHiddenField":true,"password":"string","includeRecords":true,"submit":{"allow":true,"requireLogin":true}},"columnMeta":{"property1":{"order":0,"width":0,"hidden":true,"statisticFunc":"count"},"property2":{"order":0,"width":0,"hidden":true,"statisticFunc":"count"}}}],"records":[{"fields":{"single line text":"text value"}}],"order":0,"fieldKeyType":"id"}'{
"id": "<string>",
"name": "<string>",
"dbTableName": "<string>",
"fields": [
{
"id": "<string>",
"name": "Tags",
"type": "singleSelect",
"options": {
"expression": "countall({values})",
"timeZone": "<string>",
"formatting": "<unknown>",
"showAs": {
"type": "url"
}
},
"cellValueType": "string",
"dbFieldType": "TEXT",
"dbFieldName": "<string>",
"description": "this is a summary",
"meta": {
"persistedAsGeneratedColumn": false
},
"aiConfig": {
"modelKey": "<string>",
"type": "extraction",
"sourceFieldId": "<string>",
"isAutoFill": true,
"attachPrompt": "<string>"
},
"isLookup": true,
"isConditionalLookup": true,
"lookupOptions": {
"relationship": "oneOne",
"foreignTableId": "<string>",
"lookupFieldId": "<string>",
"fkHostTableName": "<string>",
"selfKeyName": "<string>",
"foreignKeyName": "<string>",
"linkFieldId": "<string>",
"baseId": "<string>",
"filter": {}
},
"notNull": true,
"unique": true,
"isPrimary": true,
"isComputed": true,
"isPending": true,
"hasError": true,
"isMultipleCellValue": true,
"recordRead": true,
"recordCreate": true
}
],
"views": [
{
"id": "<string>",
"name": "<string>",
"type": "grid",
"createdBy": "<string>",
"createdTime": "<string>",
"columnMeta": {},
"description": "<string>",
"order": 123,
"options": {
"rowHeight": "short",
"fieldNameDisplayLines": 2,
"frozenColumnCount": 1,
"frozenFieldId": "<string>"
},
"sort": {
"sortObjs": [
{
"fieldId": "<string>",
"order": "asc"
}
],
"manualSort": true
},
"filter": {},
"group": [
{
"fieldId": "<string>",
"order": "asc"
}
],
"isLocked": true,
"shareId": "<string>",
"enableShare": true,
"shareMeta": {
"allowCopy": true,
"includeHiddenField": true,
"password": "<string>",
"includeRecords": true,
"submit": {
"allow": true,
"requireLogin": true
}
},
"lastModifiedBy": "<string>",
"lastModifiedTime": "<string>",
"pluginId": "<string>"
}
],
"records": [
{
"id": "<string>",
"fields": {},
"name": "<string>",
"autoNumber": 123,
"createdTime": "<string>",
"lastModifiedTime": "<string>",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"permissions": {},
"undeletable": true
}
],
"description": "<string>",
"icon": "<string>",
"order": 123,
"lastModifiedTime": "<string>",
"defaultViewId": "<string>"
}Create a new table in the specified base with customizable fields, views, and initial records. Default configurations will be applied if not specified.
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/table/ \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","dbTableName":"string","description":"string","icon":"string","fields":[{"type":"singleSelect","name":"string","unique":true,"notNull":true,"dbFieldName":"string","isLookup":true,"isConditionalLookup":true,"description":"this is a summary","lookupOptions":{"foreignTableId":"string","lookupFieldId":"string","linkFieldId":"string","filter":{}},"options":{"expression":"countall({values})","timeZone":"string","formatting":null,"showAs":{"type":"url"}},"aiConfig":{"modelKey":"string","isAutoFill":true,"attachPrompt":"string","type":"extraction","sourceFieldId":"string"},"id":"fldxxxxxxxxxxxxxxxx","order":{"viewId":"string","orderIndex":0}}],"views":[{"name":"string","type":"grid","description":"string","order":0,"options":{"rowHeight":"short","fieldNameDisplayLines":1,"frozenColumnCount":0,"frozenFieldId":"string"},"sort":{"sortObjs":[{"fieldId":"string","order":"asc"}],"manualSort":true},"filter":{},"group":[{"fieldId":"string","order":"asc"}],"isLocked":true,"shareId":"string","enableShare":true,"shareMeta":{"allowCopy":true,"includeHiddenField":true,"password":"string","includeRecords":true,"submit":{"allow":true,"requireLogin":true}},"columnMeta":{"property1":{"order":0,"width":0,"hidden":true,"statisticFunc":"count"},"property2":{"order":0,"width":0,"hidden":true,"statisticFunc":"count"}}}],"records":[{"fields":{"single line text":"text value"}}],"order":0,"fieldKeyType":"id"}'{
"id": "<string>",
"name": "<string>",
"dbTableName": "<string>",
"fields": [
{
"id": "<string>",
"name": "Tags",
"type": "singleSelect",
"options": {
"expression": "countall({values})",
"timeZone": "<string>",
"formatting": "<unknown>",
"showAs": {
"type": "url"
}
},
"cellValueType": "string",
"dbFieldType": "TEXT",
"dbFieldName": "<string>",
"description": "this is a summary",
"meta": {
"persistedAsGeneratedColumn": false
},
"aiConfig": {
"modelKey": "<string>",
"type": "extraction",
"sourceFieldId": "<string>",
"isAutoFill": true,
"attachPrompt": "<string>"
},
"isLookup": true,
"isConditionalLookup": true,
"lookupOptions": {
"relationship": "oneOne",
"foreignTableId": "<string>",
"lookupFieldId": "<string>",
"fkHostTableName": "<string>",
"selfKeyName": "<string>",
"foreignKeyName": "<string>",
"linkFieldId": "<string>",
"baseId": "<string>",
"filter": {}
},
"notNull": true,
"unique": true,
"isPrimary": true,
"isComputed": true,
"isPending": true,
"hasError": true,
"isMultipleCellValue": true,
"recordRead": true,
"recordCreate": true
}
],
"views": [
{
"id": "<string>",
"name": "<string>",
"type": "grid",
"createdBy": "<string>",
"createdTime": "<string>",
"columnMeta": {},
"description": "<string>",
"order": 123,
"options": {
"rowHeight": "short",
"fieldNameDisplayLines": 2,
"frozenColumnCount": 1,
"frozenFieldId": "<string>"
},
"sort": {
"sortObjs": [
{
"fieldId": "<string>",
"order": "asc"
}
],
"manualSort": true
},
"filter": {},
"group": [
{
"fieldId": "<string>",
"order": "asc"
}
],
"isLocked": true,
"shareId": "<string>",
"enableShare": true,
"shareMeta": {
"allowCopy": true,
"includeHiddenField": true,
"password": "<string>",
"includeRecords": true,
"submit": {
"allow": true,
"requireLogin": true
}
},
"lastModifiedBy": "<string>",
"lastModifiedTime": "<string>",
"pluginId": "<string>"
}
],
"records": [
{
"id": "<string>",
"fields": {},
"name": "<string>",
"autoNumber": 123,
"createdTime": "<string>",
"lastModifiedTime": "<string>",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"permissions": {},
"undeletable": true
}
],
"description": "<string>",
"icon": "<string>",
"order": 123,
"lastModifiedTime": "<string>",
"defaultViewId": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
params for create a table
1Table name in backend database. Limitation: 1-63 characters, start with letter, can only contain letters, numbers and underscore, case insensitive, cannot be duplicated with existing db table name in the base.
^[a-z]\w{0,62}$/iThe description of the table.
The emoji icon string of the table.
The fields of the table. If it is empty, 3 fields include SingleLineText, Number, SingleSelect will and 3 empty records be generated by default.
Show child attributes
The views of the table. If it is empty, a grid view will be generated by default.
Show child attributes
The record data of the table. If it is empty, 3 empty records will be generated by default.
Show child attributes
[
{
"fields": { "single line text": "text value" }
}
]Define the key type of record.fields[key], You can click "systemInfo" in the field edit box to get fieldId or enter the table design screen with all the field details
id, name, dbFieldName Returns data about a table.
Complete table structure data and initial record data.
The id of table.
The name of the table.
Table name in backend database. Limitation: 1-63 characters, start with letter, can only contain letters, numbers and underscore, case insensitive, cannot be duplicated with existing db table name in the base.
^[a-z]\w{0,62}$/iThe fields of the table.
Show child attributes
The views of the table.
Show child attributes
The records of the table.
Show child attributes
The description of the table.
The emoji icon string of the table.
The last modified time of the table.
The default view id of the table.
Was this page helpful?